> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/get-started/faq/close-a-document.md).

# Is it necessary to close a document before loading another one?

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

The [loadDocument](https://sdk.apryse.com/api/web/UI.html#.loadDocument) API internally uses the [closeDocument](https://sdk.apryse.com/api/web/UI.html#.closeDocument) API to make sure that things such as DOM elements, event listeners and any other forms of memory consumers related to the current document will be cleaned up before loading another document. This means that there is no need to explicitly close a document beforing loading another one. However, you may want to call [closeDocument](https://sdk.apryse.com/api/web/UI.html#.closeDocument) to keep the memory usage low while still showing the UI if no documents should be loaded currently.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/web/get-started/faq/close-a-document.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
